[Writable]
MarkPushed = false
LogLevel = 'INFO'

[Service]
BootTimeout = 30000
ClientMonitor = 15000
CheckInterval = '10s'
Host = 'localhost'
Port = 48070
Protocol = 'http'
MaxResultCount = 50000
StartupMsg = 'This is the Export Distro Microservice'
Timeout = 5000

[Registry]
Host = 'localhost'
Port = 8500
Type = 'consul'

[Logging]
EnableRemote = false
File = './logs/edgex-export-distro.log'

[Clients]
  [Clients.Export]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48071

  [Clients.Logging]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48061

  [Clients.CoreData]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48080

[Certificates]
  [Certificates.MQTTS]
  Cert = '/certs/export.crt'
  Key = '/certs/export.key'

  [Certificates.AWS]
  Cert = 'dummy.crt'
  Key = 'dummy.key'

[MessageQueue]
Protocol = 'tcp'
Host = 'localhost'
Port = 5563
Type = 'zero'
Topic = 'events'

[AnalyticsQueue]
Protocol = 'tcp'
Host = '*'
Port = 5566
Type = 'zero'


